<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateMlAlgorithmsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('ml_algorithms', function (Blueprint $table) {
            $table->increments('id');
            $table->string('name')->nullable(false);
            $table->longText('description')->nullable(true);
            $table->string('alias')->nullable(false);
            $table->string('type')->nullable(false);
            $table->text('default_value')->nullable(true);
            $table->timestamps();
        });

        Schema::table('ml_algorithms', function (Blueprint $table) {
            $table->unique('alias');
            $table->index('name');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('ml_algorithms');
    }
}
